Summary:        Scales PostScript images to span multiple pages
Name:           poster
Version:        20060221
Release:        8%{?dist}
License:        GPLv2
Group:          Applications/Publishing
Source:         ftp://ftp.kde.org/pub/kde/printing/%{name}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:            http://printing.kde.org/downloads/

%description
Poster scales PostScript images to a larger size, and prints them on
larger media and/or tiles them to print on multiple sheets.

%prep
%setup -q

%build
# The included Makefile is badly written
%{__cc} %{optflags} -lm -o poster poster.c

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{_bindir}
%{__install} poster $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir} -p $RPM_BUILD_ROOT/%{_mandir}/man1
%{__install} -m644 poster.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_mandir}/man1/poster.1*
%{_bindir}/poster
%doc COPYING ChangeLog README manual.ps

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060221-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060221-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060221-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20060221-5
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Lubomir Kundrak <lkundrak@redhat.com> 20060221-4
- Multiple minor changes to clean up the SPEC to conform guidelines
- Fix the License tag

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> 20060221-3
- Rebuild for FC6.

* Sat Jul 08 2006 W. Michael Petullo <mike[@]flyn.org> 20060221-2
- Fixed installation of man page.

* Tue Jul 04 2006 W. Michael Petullo <mike[@]flyn.org> 20060221-1
- Initial RPM.
